package com.example.sjkbf.service;

import com.example.sjkbf.entity.UserAndServer;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 * 用户的服务器 服务类
 * </p>
 *
 * @author bozhiqiang
 * @since 2025-04-17
 */
public interface UserAndServerService extends IService<UserAndServer> {

    int selectCount(String ip, String userName);

    List<UserAndServer> getServerList(String userName);

    String updateServer(String ip, String userName, String account, String password, String port);


}
